Skip to main content
PATCH
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
versions
/
{versionId}
Update the version
curl --request PATCH \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/versions/{versionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "routing": {
    "percentage": 123
  }
}
'
{
  "status": "<string>",
  "code": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
environmentId
string
required
versionId
string
required

Body

application/json
routing
Routing · object

Configuration about the traffic routed to this version

Response

default - application/json
status
string
required

The status text of the response

code
integer
required

The status code of the response